#ifndef H_INITSDL
#define H_INITSDL

#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include <SDL2/SDL_ttf.h>

struct window{
	SDL_Window *win;
	TTF_Font *font;
	SDL_Renderer *r;
	int h;
	int w;
};

void initWindow(SDL_Window **, TTF_Font **, char *, int, int);
SDL_Surface *loadImage(const char *);
void destroyWindow(SDL_Window *, SDL_Renderer*, TTF_Font*);

#endif
