#ifndef H_YAML
#define H_YAML

#define YAML_SUCCESS 0x00000
#define PARSE_YAML_FAILED 0x00001
#define VARIABLE_YAML_NOT_FOUND 0x00002
#define YAML_DELIMITER_NOT_FOUND 0x00003

struct yamlFile{
  char **buf;
  size_t len;
};

void parseYamlFileVariables(const struct yamlFile *, char *, char dst[2][BUF_SIZE]);
double parseYamlFileDouble(const struct yamlFile *, char *);
int parseYamlFileInt(const struct yamlFile *, char *);
void parseYamlFileChar(const struct yamlFile *, char *, char *);
struct yamlFile *bufferingFiles(FILE *, struct yamlFile *);
int addDoublePoint(char *, char *);
int readYaml(FILE *, char *);
int findEntry(char *, char *);
int getVariables(const struct yamlFile *, char *, char buf_var[2][BUF_SIZE], int);
int explodeEntry(char *, char var[2][BUF_SIZE], char);
int getPositionSection(const struct yamlFile *, char *);

#endif
